<template>
    <form @submit.prevent="onSubmit">
        <div
            class="
                d-flex
                flex-row
                align-items-center
                justify-content-center justify-content-lg-start
            "
        >
            <h3 class="mb-0 me-3">Sign in</h3>
        </div>

        <div class="divider d-flex align-items-center my-4" />

        <div class="form-floating mb-3">
            <input
                id="email"
                v-model="email"
                type="email"
                class="form-control"
                placeholder="Your email"
                autocomplete="off"
                :class="{
                    'is-invalid': errors.email,
                }"
            />
            <ErrorMessage :message="errors.email" />
            <label for="email">Your email</label>
        </div>

        <div class="form-floating mb-3">
            <input
                id="password"
                v-model="password"
                type="password"
                class="form-control"
                placeholder="Password"
                autocomplete="off"
                :class="{
                    'is-invalid': errors.password,
                }"
            />
            <ErrorMessage :message="errors.password" />
            <label for="password">Password</label>
        </div>

        <div class="text-center text-lg-start mt-4 pt-2">
            <button type="submit" class="btn btn-primary btn-md">Login</button>
        </div>
    </form>
    <LoadingOverlay v-if="loading" />
</template>

<script>
import useLoginForm from '../composables/use-login-form';
import {LoadingOverlay, ErrorMessage} from '@/components';
export default {
    components: {
        ErrorMessage,
        LoadingOverlay,
    },
    setup() {
        return {
            ...useLoginForm(),
        };
    },
};
</script>
